Bug 1316382 - ValueError and scriptlet failure with foreman-selinux-1.11.0-1.el7sat.noarch
ValueError and scriptlet failure with foreman-selinux-1.11.0-1.el7sat.noarch
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: 6.2
Assigned To: Lukas Zapletal
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 01:50 EST by Sachin Ghai
Modified: 2016-05-19 04:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 04:44:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2016-03-10 01:50:24 EST
Description of problem: While installing Satellite 6.2 snap3, following error/warning raised on stdout:

-----------------
Installing : foreman-selinux-1.11.0-1.el7sat.noarch                                                                                         473/590 
ValueError: Type docker_port_t is invalid, must be a port type
warning: %post(foreman-selinux-1.11.0-1.el7sat.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package foreman-selinux-1.11.0-1.el7sat.noarch
----------------

Version-Release number of selected component (if applicable):
Satellite 6.2 snap3

How reproducible:
always

Steps to Reproduce:
1. Install satellite 6.2 snap3 and monitor package install logs
2.
3.

Actual results:


Expected results:
no error should be thrown on stdout while installing foreman-selinux-1.11.0-1.el7sat.noarch

Additional info:
Comment 2 Lukas Zapletal 2016-05-13 10:47:09 EDT
I don't see this anymore with 6.2 beta. Can you verify please?
Comment 3 Sachin Ghai 2016-05-19 04:44:35 EDT
Yes, Verified with sat6.2 GA snap11.0

This issue is no longer reproducible.

(88/584): foreman-postgresql-1.11.0.24-1.el7sat.noarch.rpm                               |  16 kB  00:00:00     
(89/584): foreman-selinux-1.11.0.1-1.el7sat.noarch.rpm                                   |  42 kB  00:00:00

Note You need to log in before you can comment on or make changes to this bug.